import { WaveTable } from './wave-tables/wave-table';
declare const waveTables: {
    sine: WaveTable;
    square: WaveTable;
    square2: {
        real: number[];
        imag: number[];
    };
    sawtooth: WaveTable;
    triangle: WaveTable;
    triangle2: {
        real: number[];
        imag: number[];
    };
    chiptune: WaveTable;
    organ: WaveTable;
    organ2: WaveTable;
    organ3: {
        real: number[];
        imag: number[];
    };
    organ4: {
        real: number[];
        imag: number[];
    };
    organ5: {
        real: number[];
        imag: number[];
    };
    bass: WaveTable;
    bass2: {
        real: number[];
        imag: number[];
    };
    bass3: {
        real: number[];
        imag: number[];
    };
    bass4: {
        real: number[];
        imag: number[];
    };
    brass: WaveTable;
    brass2: {
        real: number[];
        imag: number[];
    };
    aah: {
        real: number[];
        imag: number[];
    };
    ooh: {
        real: number[];
        imag: number[];
    };
    eeh: {
        real: number[];
        imag: number[];
    };
    buzz: {
        real: number[];
        imag: number[];
    };
    buzz2: {
        real: number[];
        imag: number[];
    };
    dissonance: {
        real: number[];
        imag: number[];
    };
};
export type CustomOscillatorType = keyof typeof waveTables;
export type CustomOscillatorFactory = {
    [T in CustomOscillatorType]: (context: BaseAudioContext) => OscillatorNode;
};
export declare const customOscillatorTypes: ("sawtooth" | "sine" | "square" | "triangle" | "square2" | "triangle2" | "chiptune" | "organ" | "organ2" | "organ3" | "organ4" | "organ5" | "bass" | "bass2" | "bass3" | "bass4" | "brass" | "brass2" | "aah" | "ooh" | "eeh" | "buzz" | "buzz2" | "dissonance")[];
export declare const customOscillators: CustomOscillatorFactory;
export {};
